PromptLabHub
PromptLabHub
/

Getting Started

OverviewAuthenticationRate Limits & Quotas

API Endpoints

GETList PromptsGETGet PromptPOSTSubmit PromptGETList Categories

HTTP Error Codes

HTTP Error Codes

Examples

Examples

Official SDKs

Official SDKs
PromptLabHub
PromptLabHub
/

Getting Started

OverviewAuthenticationRate Limits & Quotas

API Endpoints

GETList PromptsGETGet PromptPOSTSubmit PromptGETList Categories

HTTP Error Codes

HTTP Error Codes

Examples

Examples

Official SDKs

Official SDKs

API REFERENCE

PromptLabHub API Reference

保存した prompt にアクセスし、検索クエリを実行し、モデルでフィルターし、低レイテンシで prompt カテゴリーをプログラムから照会。

API キーを取得API Changelog

Authentication

すべての API リクエストは、Authorization ヘッダーの Bearer トークンで認証する必要があります。API キーは API 設定から管理できます。

Authorization Header
Authorization: Bearer plh_live_your_key_here

Rate Limits & Quotas

レート制限は、プラン tier に基づいて API キーごとに日次および月次で適用されます。アクティブなリクエストは標準のレート制限ヘッダーを返します。

Subscription Tier

Subscription TierDaily LimitMonthly Limit
Free1003,000
Pro1,00030,000
Enterprise10,000300,000

Rate Limit Response Headers

HeaderDescription
X-RateLimit-Limit1 日あたりの最大許可リクエスト数。
X-RateLimit-Remaining現在の日の残りリクエスト数。
X-RateLimit-Reset現在のレート制限ウィンドウがリセットされる UTC 時刻(秒)。

API Endpoints

GET/api/v1/prompts

検索キーワードとカテゴリーフィルターをサポートした、公開 prompt のページネーションリストを取得。

Query Parameters

FieldTypeRequiredDescription
categorystringNoカテゴリースラッグまたは名前でフィルター
searchstringNoタイトル、説明、コンテンツに一致するキーワード
pagenumberNo (1)ページネーションオフセットページインデックス
limitnumberNo (20)最大返却サイズ(1 - 50)
curl -X GET "https://promptlabhub.com/api/v1/prompts?category=photography&search=sunset" \
  -H "Authorization: Bearer plh_live_your_key_here"
JSON
{
  "data": [
    {
      "id": "triple-ice-cream-fantasy",
      "title": "Triple Ice Cream Fantasy",
      "category": "food-photography",
      "model": "Midjourney",
      "copyCount": 1420,
      "createdAt": "2025-05-10T00: 00: 00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 384
  }
}
GET/api/v1/prompts/:slug

ID により特定の prompt の詳細を取得。

Query Parameters

FieldTypeRequiredDescription
slugstringYesprompt を識別する一意のスラッグ
cURL
curl -X GET "https://promptlabhub.com/api/v1/prompts/triple-ice-cream-fantasy" \
  -H "Authorization: Bearer plh_live_your_key_here"
JSON
{
  "id": "triple-ice-cream-fantasy",
  "title": "Triple Ice Cream Fantasy",
  "content": "\"resolution\": \"8K\", \"aspect_ratio\": \"3: 4\"...",
  "category": "food-photography",
  "model": "Midjourney",
  "difficulty": "Advanced",
  "copyCount": 1420,
  "createdAt": "2025-05-10T00: 00: 00Z"
}
POST/api/v1/prompts

prompt を動的に承認/モデレーションに提出。

Request Body Parameters

FieldTypeRequiredDescription
titlestringYesprompt 作成タイトル
descriptionstringYesオプション用の短い概要/メモ
contentstringYes完全な AI prompt テキストの定式化
categorystring/numberYesカテゴリー ID、名前、またはスラッグ
cURL
curl -X POST "https://promptlabhub.com/api/v1/prompts" \
  -H "Authorization: Bearer plh_live_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Neon Tokyo Street Night",
    "description": "Cinematic cyberpunk street scene",
    "content": "neon-lit alley, rain reflections, 8K...",
    "category": "photography"
  }'
JSON
{
  "data": {
    "id": "neon-tokyo-street-night",
    "status": "pending"
  }
}
GET/api/v1/categories

利用可能なすべての prompt カテゴリーを一覧表示。

cURL
curl -X GET "https://promptlabhub.com/api/v1/categories" \
  -H "Authorization: Bearer plh_live_your_key_here"
JSON
{
  "data": [
    { "slug": "photography", "name": "Photo Prompts" },
    { "slug": "food-photography", "name": "Food Prompts" },
    { "slug": "video", "name": "Video Prompts" }
  ]
}

HTTP Error Codes

HTTP StatusCode StringDescription
400VALIDATION_FAILEDリクエストボディパラメーターが無効または不足しています。
401UNAUTHORIZEDAPI キーヘッダーが不足、不正、またはトークンが失効しています。
404NOT_FOUND要求された prompt ID またはリソースが見つかりません。
429RATE_LIMIT_EXCEEDED日次 API キークォータに達しました。より高い制限には Pro/Enterprise へアップグレードしてください。
500INTERNAL_SERVER_ERROR予期しないサーバーエラーが発生しました。後でもう一度お試しください。

Integration Examples

JavaScript Fetch
"text-[#6b7280]">// JavaScript fetch example
"text-[#f97583]">const apiKey = 'plh_live_your_key_here'

"text-[#f97583]">async "text-[#f97583]">function fetchPrompts() {
  "text-[#f97583]">const response = "text-[#f97583]">await fetch('https:"text-[#6b7280]">//promptlabhub.com/api/v1/prompts?limit=5', {
    headers: {
      'Authorization': `Bearer ${apiKey}`
    }
  })
  "text-[#f97583]">const data = "text-[#f97583]">await response.json()
  "text-[#f97583]">console.log(data.data)
}

fetchPrompts()
Python Requests
"text-[#f97583]">class="text-[#6b7280]"># Python requests example
"text-[#f97583]">import requests

api_key = 'plh_live_your_key_here'
url = 'https://promptlabhub.com/api/v1/prompts'
headers = {'Authorization': f'Bearer {api_key}'}
params = {'limit': 5}

response = requests.get(url, headers=headers, params=params)
"text-[#f97583]">print(response.json())

Official SDKs

Node.js、Python、Go 向け SDK は近日公開予定です。現時点では、標準 HTTP ライブラリまたは curl 例で直接接続できます。

Node.js — Coming SoonPython — Coming SoonGo — Coming Soon

このページの内容

  • Overview
  • Authentication
  • Rate Limits & Quotas
  • API Endpoints
  • List Prompts
  • Get Prompt
  • Submit Prompt
  • List Categories
  • HTTP Error Codes
  • Examples
  • Official SDKs